-------------------------------------------------------------------------------
-- ElvUI Chat Tweaks By Lockslap (US, Bleeding Hollow)
-- <Borderline Amazing>, http://ba-guild.com
-- Based on functionality provided by Prat and/or Chatter
-------------------------------------------------------------------------------
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("ElvUI_ChatTweaks", "enUS", true)
if not L then return end

L["   |cff00ff00%s|r - %s"] = true
L["   |cff00ff00%s|r or |cff00ff00%s|r - %s"] = true
L["   |cff00ff00/ct %s|r - %s"] = true
L[" is designed to add a lot of the functionality of full fledged chat addons like Prat or Chatter, but without a lot of the unneeded bloat.  I wrote it to be as lightweight as possible, while still powerful enough to accomplish it's intended function.\n"] = true
L[" |cffffff00%d|r Total Modules (|cff00ff00%d|r Enabled, |cffff0000%d|r Disabled)"] = true
L["$$EMPTY$$"] = true
L["%s has casted %s."] = true
L["%s has prepared a %s."] = true
L["%s has put down a %s."] = true
L["%s is casting %s.  Click!"] = true
L["AFK"] = true
L["AFK Flag"] = true
L["AFK Flag Color"] = true
L["AFK Flag Replacement"] = true
L["Achievement Messages"] = true
L["Achievement hyperlinks."] = true
L["Achievements"] = true
L["Add Space"] = true
L["Add Word"] = true
L["Add a space after the channel name."] = true
L["Add custom emotes.  Please remember that your character's name will always be the first word.\n\n|cff00ff00%t|r is your current target."] = true
L["Add surrounding brackets to own charname in messages."] = true
L["Add word to your invite trigger list"] = true
L["Adds a timestamp to each line of text."] = true
L["Adds chat commands to clear the chat windows.\n\n"] = true
L["After"] = true
L["Alerts you when someone puts down a Toy Train Set, with the ability to summon your Lil' XT and tell your raid."] = true
L["Allow people in your guild to whisper you, regardless of their level."] = true
L["Allow people on your friends list to whisper you, regardless of their level."] = true
L["Allows you to change the default font settings for the chat frames.\n\n|cffff0000Using another addon to do this will break this functionality.|r"] = true
L["Allows you to filter certain words or phrases using Lua's pattern matching. For an item, achievement, spell, etc. just use the name of the item, don't try to link it.\n\nFor more information see this addon's Curse or WoWInterface page."] = true
L["Alt-click name to invite"] = true
L["Alternate command to kick someone from guild."] = true
L["Announce when a mage begins casting Ritual of Refreshment."] = true
L["Announce when a warlock puts down a soulwell."] = true
L["Announce when a warlock puts down a summoning stone."] = true
L["Announce when an alchemist puts down a (Big) Cauldron of Battle."] = true
L["Announce when an engineer puts down a repair bot."] = true
L["Announce when someone casts Have Group, Will Travel, obtained when your guild reaches level 21."] = true
L["Announce when someone casts Mass Ressurection, obtained when your guild reaches level 25."] = true
L["Announce when someone puts down a feast."] = true
L["Are you sure you want to delete all your saved class/level data?"] = true
L["Are you sure you want to reset the chat fonts to defaults?"] = true
L["Auction Expired"] = true
L["Auction Message Filtering"] = true
L["Auction Outbid"] = true
L["Auction Removed"] = true
L["Auction Sold"] = true
L["Auction Won"] = true
L["Auto Congratulate"] = true
L["Auto Ding"] = true
L["Auto Scroll"] = true
L["Auto Welcome"] = true
L["Auto report anyone reaching the spam threshold (3 points)."] = true
L["Automatic Chat Logging"] = true
L["Automatically congratulate someone when they, or others, complete an achievement."] = true
L["Automatically congratulates someone when they say \"ding\" in chat."] = true
L["Automatically enables chat logging."] = true
L["Automatically scroll to the bottom of the chat window after |cff00ff00X|r seconds."] = true
L["Automatically summon a pet that can destroy the train when one is found.\n\nThis will also attempt to resummon the pet you had out previously."] = true
L["Automatically welcomes someone to your guild."] = true
L["Available Chat Command Arguments"] = true
L["Battle.Net Options"] = true
L["Battleground"] = true
L["Battleground Channel"] = true
L["Battleground Leader"] = true
L["Battleground Leader Channel"] = true
L["Battleground Leader Text"] = true
L["Battleground Text"] = true
L["Before"] = true
L["Bid Accepted"] = true
L["Busy"] = true
L["Capture Delay"] = true
L["Cauldron of Battle"] = true
L["Center"] = true
L["Channel Colors"] = true
L["Channel Names"] = true
L["Channel Sounds"] = true
L["Character to use between the name and level"] = true
L["Character to use for the left bracket"] = true
L["Character to use for the right bracket"] = true
L["Chat Fonts"] = true
L["Chat Frame "] = true
L["Chat Frame Settings"] = true
L["ChatFrame %d"] = true
L["Chats To Monitor"] = true
L["Choose the pet to summon when a train is dropped."] = true
L["Choose which chat frames display timestamps"] = true
L["Class"] = true
L["Clear Chat Commands"] = true
L["Clear all chat windows."] = true
L["Clear current chat."] = true
L["Color AFK Flag?"] = true
L["Color Anywhere"] = true
L["Color DND Flag"] = true
L["Color Player Names By..."] = true
L["Color level by difficulty"] = true
L["Color of the message to notify |cffffff00YOU|r that someone used a train set."] = true
L["Color own charname in messages."] = true
L["Color self in messages"] = true
L["Color the player names anywhere they're found."] = true
L["Color timestamps the same as the channel they appear in."] = true
L["Color to change the filtered message to.\n\n|cffff0000Only works when Filtering Mode is set to |cff00ff00Colorize|r."] = true
L["Color to change the spam to.\n\n|cffff0000Only works when Filtering Mode is set to |cff00ff00Colorize|r."] = true
L["Color to use for the AFK flag."] = true
L["Color to use for the DND flag."] = true
L["Colorize"] = true
L["Compress"] = true
L["Confirm Report?"] = true
L["Confirm reporting before actually reporting them."] = true
L["Congratulate achievements earned by guildmates."] = true
L["Congratulate achievements earned by people in your party."] = true
L["Congratulate achievements earned by people in your raid."] = true
L["Congratulate achievements earned by people near you."] = true
L["Congratulations Messages"] = true
L["Creates a button to click that will return you to the bottom of the chat frame."] = true
L["Custom Chat Filters"] = true
L["Custom Emotes"] = true
L["Custom chat filters."] = true
L["Custom format (advanced)"] = true
L["DND Flag"] = true
L["DND Flag Color"] = true
L["DND Flag Replacement"] = true
L["Damage Meters"] = true
L["Death Knight"] = true
L["Default Name Color"] = true
L["Default font face for the chat frames."] = true
L["Default font outline for the chat frames."] = true
L["Default font size for the chat frames."] = true
L["Destroys all your saved class/level data"] = true
L["Ding Messages"] = true
L["Disable if..."] = true
L["Disable in Combat"] = true
L["Disable the hovering while in combat."] = true
L["Disable while you're AFK flagged."] = true
L["Disable while you're DND flagged."] = true
L["Disabled"] = true
L["Do Nothing"] = true
L["Dont Always Run"] = true
L["Druid"] = true
L["Dungeon Guide"] = true
L["Dungeon Guide Channel"] = true
L["Dungeon Guide Text"] = true
L["Editbox History"] = true
L["ElvUI ChatTweaks"] = true
L["Emote"] = true
L["Emphasize Self"] = true
L["Enable "] = true
L["Enable this to give the module a percent chance to run to prevent spam/annoyances.  If disabled the module will always congratulate."] = true
L["Enable this to give the module a percent chance to run to prevent spam/annoyances.  If disabled the module will always welcome."] = true
L["Enabled"] = true
L["Enables you to replace channel names with your own names. You can use '%s' to force an empty string."] = true
L["Enchant hyperlinks."] = true
L["Enchants"] = true
L["Enter a custom time format. See http://www.lua.org/pil/22.1.html for a list of valid formatting symbols."] = true
L["Exceptions"] = true
L["Exclude level display for max level characters"] = true
L["Exclude max levels"] = true
L["Feasts"] = true
L["Filter Color"] = true
L["Filter Interval"] = true
L["Filter the Auction Expired message.\n\n|cffffff00%s|r"] = true
L["Filter the Auction Outbid message.\n\n|cffffff00%s|r"] = true
L["Filter the Auction Removed message.\n\n|cffffff00%s|r"] = true
L["Filter the Auction Sold message.\n\n|cffffff00%s|r"] = true
L["Filter the Auction Won message.\n\n|cffffff00%s|r"] = true
L["Filter the Bid Accepted message.\n\n|cffffff00%s|r"] = true
L["Filtering Mode"] = true
L["Filters"] = true
L["Filters gold selling, powerleveling, and other services that are against Blizzard's EULA."] = true
L["Filters guild recruitment messages.\n\n|cffff0000DOES NOT REPORT THEM!|r"] = true
L["Filters out Auction House system messages."] = true
L["Filters text based on numerous triggers, with the ability to automatically report the offender."] = true
L["Filters whispers if the sender does not meet the level requirement.  Useful for gold seller spam."] = true
L["Font Face"] = true
L["Font Size"] = true
L["Friends"] = true
L["GInvite Alternate Command"] = true
L["GKick Command"] = true
L["Gives you more flexibility in how you invite people to your group."] = true
L["Glyph hyperlinks."] = true
L["Glyphs"] = true
L["Gold Selling"] = true
L["Group"] = true
L["Group Say Command"] = true
L["Guild"] = true
L["Guild Channel"] = true
L["Guild Chat"] = true
L["Guild Recruitment"] = true
L["Guild Text"] = true
L["Guildies"] = true
L["Guildmates"] = true
L["HH:MM (12-hour)"] = true
L["HH:MM (24-hour)"] = true
L["HH:MM:SS (24-hour)"] = true
L["HH:MM:SS AM (12-hour)"] = true
L["Have Group, Will Travel"] = true
L["Here you can select which channels this module will scan for the keywords to trigger the invite."] = true
L["Hovering over a hyperlink in chat will display it's tooltip."] = true
L["How to filter any matches."] = true
L["How to throttle the spam.\n\n|cff00ff00Colorize|r changes the spam to a different color.\n|cff00ff00Remove|r removes the line all together."] = true
L["Hunter"] = true
L["Hyperlink Hover"] = true
L["Include level"] = true
L["Include the player's level"] = true
L["Instance Locks"] = true
L["Instance lock hyperlinks."] = true
L["Interval"] = true
L["Invite Links"] = true
L["Item hyperlinks."] = true
L["Items"] = true
L["Keeps your channel colors by name rather than by number."] = true
L["Landro's Lil' XT"] = true
L["Left"] = true
L["Left Bracket"] = true
L["Lets you alt-click player names to invite them to your party."] = true
L["Lets you set the justification of text in your chat frames."] = true
L["Level Location"] = true
L["Lil' XT"] = true
L["MM:SS"] = true
L["Mage"] = true
L["Mass Ressurection"] = true
L["Maximum Delay"] = true
L["Maximum time, in seconds, to wait before announcing."] = true
L["Maximum time, in seconds, to wait before congratulating someone."] = true
L["Maximum time, in seconds, to wait before welcoming someone."] = true
L["Message Color"] = true
L["Message to send to the raid.\n\n|cffFA6400Wildcards|r\n|cff00ff00#name#|r - Who placed the Toy Train Set.\n|cff00ff00#item#|r - Item link for Toy Train Set."] = true
L["Messages for when multiple people complete achievements.  A random one will always be selected.\n\n|cffff0000Wildcards do not apply for multiple achievements.|r"] = true
L["Messages for when someone completes an achievement.  A random one will always be selected.\n\n|cffFA6400Wildcards|r\n|cff00ff00#name#|r  - Name of the person.\n|cff00ff00#achieve#|r - Achievement they completed."] = true
L["Messages to use when someone joins your guild.\n\n|cffFA6400Wildcards|r\n|cff00ff00#name#|r - Person who joined.\n|cff00ff00#guild#|r - Name of your guild."] = true
L["Messages to use when someone says \"ding\".\n\n|cffFA6400Wildcards|r\n|cff00ff00#name#|r - Who said ding.\n|cff00ff00#guild#|r - Their current level."] = true
L["Minimum DK Level"] = true
L["Minimum Delay"] = true
L["Minimum Level"] = true
L["Minimum level of a Death Knight to be able to whisper you."] = true
L["Minimum level of the sender to able to whisper you."] = true
L["Minimum time, in seconds, to wait before announcing."] = true
L["Minimum time, in seconds, to wait before congratulating someone."] = true
L["Minimum time, in seconds, to wait before welcoming someone."] = true
L["Module"] = true
L["Monitor guild chat."] = true
L["Monitor party chat."] = true
L["Monitor raid chat."] = true
L["Monitor say chat."] = true
L["Monitor whispers."] = true
L["Monitor yell chat."] = true
L["Monster Emote"] = true
L["Monster Say"] = true
L["Multiple Achievement Messages"] = true
L["Name"] = true
L["Nearby People"] = true
L["New AFK Message"] = true
L["New DND Message"] = true
L["No RealNames"] = true
L["None"] = true
L["Notifies the raid/party when someone places down a feast, cauldron, or repair bot."] = true
L["Officer"] = true
L["Officer Channel"] = true
L["Officer Chat"] = true
L["Officer Text"] = true
L["Opens configuration window."] = true
L["Other Channels"] = true
L["Outline"] = true
L["Paladin"] = true
L["Party"] = true
L["Party Channel"] = true
L["Party Leader"] = true
L["Party Leader Channel"] = true
L["Party Leader Text"] = true
L["Party Members"] = true
L["Party Text"] = true
L["Percent Chance"] = true
L["Pet to Summon"] = true
L["Place the level before or after the player's name."] = true
L["Player Level"] = true
L["Player Names"] = true
L["Player level display options."] = true
L["Plays a sound, of your choosing (via LibSharedMedia-3.0), whenever a message is received in a given channel."] = true
L["Priest"] = true
L["Print this again."] = true
L["Prints module status."] = true
L["Profiles"] = true
L["Provides a /gr slash command to let you speak in your group (raid, party, or battleground) automatically."] = true
L["Provides a |cff00ff00/gkick|r command, as it should be."] = true
L["Provides options to color player names, add player levels, and add tab completion of player names."] = true
L["Provides |cff00ff00/ginv|r, an alternative to |cff00ff00/ginvite|r command, for us lazy folks."] = true
L["Put each emote on a separate line.\nSeparate the command from the text with a colon (\":\")."] = true
L["Quest hyperlinks."] = true
L["Quests"] = true
L["Raid"] = true
L["Raid Boss Emote"] = true
L["Raid Channel"] = true
L["Raid Helper"] = true
L["Raid Leader"] = true
L["Raid Leader Channel"] = true
L["Raid Leader Text"] = true
L["Raid Members"] = true
L["Raid Message"] = true
L["Raid Text"] = true
L["Raid Warning"] = true
L["Raid Warning Channel"] = true
L["Raid Warning Text"] = true
L["RealID Brackets"] = true
L["RealID Conversation"] = true
L["RealID Whisper"] = true
L["Really remove this word from your trigger list?"] = true
L["Remembers the history of the editbox across sessions."] = true
L["Remove"] = true
L["Remove Icons"] = true
L["Remove Word"] = true
L["Remove a word from your invite trigger list"] = true
L["Removes icons from messages to prevent the various objects people try to make."] = true
L["Repair Bot"] = true
L["Replace AFK flag text with our own custom one."] = true
L["Replace DND flag text with our own custom one."] = true
L["Replacement text for the AFK flag."] = true
L["Replacement text for the DND flag."] = true
L["Report"] = true
L["Reported by %s"] = true
L["Reporting Options"] = true
L["Reset ChatFrame text justifications to defaults (left)."] = true
L["Reset Data"] = true
L["Reset Font Data"] = true
L["Reset Text Justitification"] = true
L["Resets all chat frames to their original font settings."] = true
L["Right"] = true
L["Right Bracket"] = true
L["Ritual of Refreshment"] = true
L["Ritual of Souls"] = true
L["Ritual of Summoning"] = true
L["Rogue"] = true
L["Save Data"] = true
L["Save all /who data"] = true
L["Save class data from /who queries between sessions."] = true
L["Save class data from friends between sessions."] = true
L["Save class data from groups between sessions."] = true
L["Save class data from guild between sessions."] = true
L["Save class data from target/mouseover between sessions."] = true
L["Save data between sessions. Will increase memory usage"] = true
L["Say"] = true
L["Say Chat"] = true
L["Scroll Reminder"] = true
L["Select a color for this channel."] = true
L["Select a method for coloring player names"] = true
L["Send Response"] = true
L["Send a reponse when a whisper is filtered."] = true
L["Separator"] = true
L["Settings"] = true
L["Shaman"] = true
L["Show toon names instead of real names"] = true
L["Silent Report"] = true
L["Sound to play when a message in %s is received.\n\n|cff00ff00To disable set to \"None\"|r."] = true
L["Spam Delay"] = true
L["Spam Filter"] = true
L["Spam Throttle"] = true
L["Spell hyperlinks."] = true
L["Spells"] = true
L["Strip RealID brackets"] = true
L["Summon Pet"] = true
L["Suppress"] = true
L["Suppress Recount/Skada/TinyDPS output into a clickable link, or filter it entirely."] = true
L["Surpress the reporting system message."] = true
L["Talent hyperlinks."] = true
L["Talents"] = true
L["Talk to your group based on party/raid status."] = true
L["Target/Mouseover"] = true
L["Tell Raid"] = true
L["Tell your raid (or party) who set down the Toy Train Set."] = true
L["Text Justification"] = true
L["Text for battleground chat."] = true
L["Text for battleground leader chat."] = true
L["Text for dungeon guide text."] = true
L["Text for guild chat."] = true
L["Text for officer chat."] = true
L["Text for party chat."] = true
L["Text for party leader chat."] = true
L["Text for raid chat."] = true
L["Text for raid leader chat."] = true
L["Text for raid warning chat."] = true
L["Text justification for ChatFrame %d."] = true
L["The default color to use to color names."] = true
L["The percent chance the module has to congratulate someone.  Higher the chance, the more likely it is to run.  This is a means to throttle, so as to prevent spam/annoyances."] = true
L["The percent chance the module has to welcome someone.  Higher the chance, the more likely it is to run.  This is a means to throttle, so as to prevent spam/annoyances."] = true
L["The time, in seconds, it takes for the same person to trigger the add by saying ding."] = true
L["These settings allow you to change the text used when a player has the AFK flag.\n\n|cffff0000NOTE|r  This does not affect the AFK flag on the player's nameplate."] = true
L["These settings allow you to change the text used when a player has the DND flag.\n\n|cffff0000NOTE|r  This does not affect the DND flag on the player's nameplate."] = true
L["Thick Outline"] = true
L["Throttle messages from being displayed (spammed) in chat channels."] = true
L["Time, in seconds, in between throttleed message being allowed."] = true
L["Time, in seconds, the module will wait after the first line is found to assume it is complete.\n\n|cffffff00One (1) second seems to work.|r"] = true
L["Time, in seconds, to allow to pass before automatically scrolling to the bottom of a chat window."] = true
L["Timestamp color"] = true
L["Timestamp format"] = true
L["Timestamps"] = true
L["Train Alert"] = true
L["Unit hyperlinks."] = true
L["Units"] = true
L["Use Tab Complete"] = true
L["Use a color to distinguish the AFK flag."] = true
L["Use a color to distinguish the DND flag."] = true
L["Use channel color"] = true
L["Use tab key to automatically complete character names."] = true
L["Warlock"] = true
L["Warrior"] = true
L["Welcome Messages"] = true
L["What to do with Recount/Skada/TinyDPS reports in this channel."] = true
L["Whisper"] = true
L["Whisper Filter"] = true
L["Whispers"] = true
L["Who"] = true
L["Who to Congratulate?"] = true
L["Will save all data for large /who queries"] = true
L["Yell"] = true
L["Yell Chat"] = true
L["You have reached the maximum amount of friends, remove 2 for this module to function properly."] = true
L["You need to be at least level %d to whisper me."] = true
L["[Battleground Leader]"] = true
L["[Battleground]"] = true
L["[Dungeon Guide]"] = true
L["[Guild]"] = true
L["[Officer]"] = true
L["[Party Leader]"] = true
L["[Party]"] = true
L["[Raid Leader]"] = true
L["[Raid Warning]"] = true
L["[Raid]"] = true
L["\n\n|cffff0000NOTE:|r  If this addon starts to use a substantial amount of memory, simply reset the name data and it will return to a normal level.\n\nAddon Usage: |cff00ff00%s|r"] = true
L["inv"] = true
L["invite"] = true
L["|cff00ff00%s|r or |cff00ff00%s|r %s"] = true
L["|cff00ff00Enabled|r"] = true
L["|cffff0000Disabled|r"] = true
L["|cffff0000No modules found.|r"] = true
L["|cffffff00Character already in a guild."] = true
L["|cffffff00Character already in your guild."] = true
L["|cffffff00Usage: /ginvite <name>|r"] = true
L["|cffffff00Usage: /gkick <name>|r"] = true